- Home
- API Enriched
- Api
- config
- Download Certificates.
Download Certificates.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/discovery/example/download_certificates';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/discovery/example/download_certificates \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example" }'Download the cerificates files for the Log Collerctor In order to establish connection from the third party application server to the Log Colletor the user should download a zip file with the certificates files:
- client.crt
- client.key
- server_ca.crt.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace x-required Namespace of the discovered service for current request.
Discovery Name x-required Identifies the discovery name.
Request Bodyrequired
Section titled “Request Bodyrequired”Download Certificates Of Log Collector.
object
Identifies the discovery name Required: YES.
Namespace of the discovered service for current request Required: YES.
Examplegenerated
{ "name": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Response to the DownloadCertificatesResponse A zip file with the certificates files:
- client.crt
- client.key
- server_ca.crt.
object
Data is base64 encoded value of certificate in PKCS12 format.
Examplegenerated
{ "data": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example